/***********************************************************************/
/* Copyright (c) 1999-2005, The Rector and Board of Visitors of the    */
/* University of Virginia.                                             */
/* All rights reserved.                                                */
/*                                                                     */
/* This program is being made available under the terms of version 2.1 */
/* of theGNU Lesser General Public License ("LGPL") as published as of */
/* February, 1999 by the Free Software  Foundation; and subject to the */
/* restrictions of the LGPL, you are authorized to  modify and/or      */
/* redistribute it.                                                    */
/*                                                                     */
/* As stated in the LGPL, THIS PROGRAM IS BEING MADE AVAILABLE "AS IS",*/
/* AND WITHOUT A WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,    */
/* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF            */
/* MERCHANTABILITY AND  FITNESS FOR A PARTICULAR PURPOSE. FURTHER, YOU */
/* AGREE NOT TO HOLD THE COPYRIGHT  OWNER(S) LIABLE FOR DAMAGES,       */
/* INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES,*/
/* ARISING OUT OF THE USE OR INABILITY TO USE  THE PROGRAM.            */
/* See the GNU General Public License for more details.                */
/*                                                                     */
/* You should have received a copy of version 2.1 of the GNU General   */
/* Public License along with this program; if not, you may obtain a    */
/* copy  from the Free Software Foundation website at the following URL*/
/* address (link  active as of September 1, 2005):                     */
/* http://www.fsf.org/licensing/licenses/lgpl.html; or that failing,   */
/* you can request a copy from Free Software Foundation,  Inc., 51     */
/* Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.                */
/*                                                                     */
/* This program is part of the HyperCast software distribution. To     */
/* learn more about HyperCast, please visit the website at             */
/* http://www.hypercast.org.                                           */
/***********************************************************************/

package hypercast;

/**
 * This interface defines functions of a physical address. 
 * It is implemented by any physical address class.
 * Physical address if defined for an overlay socket, it 
 * contains information for sending message through any of 
 * adapters in the overlay socket, i.e., Node Adapter
 * and Socket Adapter. It is different from I_UnderlayAddress
 * which contains information for sending message through 
 * a single socket in the undrlay network. For example, 
 * the addresses of DT servers, buddies are instances of 
 * I_UnderlayAddress.
 * 
 * @author HyperCast Team
 * @author Dongwen Wang
 * @version	2.0, Feb. 28, 2001
 * @author Jianping Wang
 * @version	3.0, Aug. 05, 2004
 * 
 * @see I_UnderlayAddress
 */
public interface I_PhysicalAddress extends I_NetworkAddress {

	/** Checks if an object matches this I_Address.
		* if <code>o</code> is null, false is returned.
		* @throws IllegalArgumentException if Object is not of same type.
		*/
	 public boolean addressCheck(Object o);


}

